Add additional error messages to flash driver on TRAB board
(for erase errors and timeout errors)

Patch by Martin Krause, 14 Feb 2006

---
commit 1f239b9e75f7c77e3e2098273a8393746387b5f6
tree 29338e117e84018132eb1bc019a0c84e4ad170f8
parent 605ec27f67b941d737c3f07b590c7417ef625d34
author Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Mon, 19 Jun 2006 09:49:46 +0200
committer Martin Krause <mkr@tq-sewsrv-4.tq-net.de> Mon, 19 Jun 2006 09:49:46 +0200

 board/trab/flash.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/board/trab/flash.c b/board/trab/flash.c
index 8cdd824..77a6fc2 100644
--- a/board/trab/flash.c
+++ b/board/trab/flash.c
@@ -281,10 +281,12 @@ #endif
 
 			if (chip1 == ERR || chip2 == ERR) {
 				rc = ERR_PROG_ERROR;
+				printf ("Flash erase error\n");
 				goto outahere;
 			}
 			if (chip1 == TMO) {
 				rc = ERR_TIMOUT;
+				printf ("Flash erase timeout error\n");
 				goto outahere;
 			}
 		}
@@ -384,8 +386,13 @@ #endif
 
 	*addr = CMD_READ_ARRAY;
 
-	if (chip1 == ERR || chip2 == ERR || *addr != data)
+	if (chip1 == ERR || chip2 == ERR || *addr != data) {
 		rc = ERR_PROG_ERROR;
+		printf ("Flash program error\n");
+		debug ("chip1: %#x, chip2: %#x, addr: %#lx *addr: %#lx, "
+		       "data: %#lx\n",
+		       chip1, chip2, addr, *addr, data);
+	}
 
 	if (iflag)
 		enable_interrupts ();
